package builtin;

import runEnv.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;

public class OutputComponent extends Component {

	JFrame frame;
	JTextField textField;

	public OutputComponent( RunEnv runEnv ) {
		super( runEnv );
		String name = runEnv().getValue( "name" ).stringValue();
		int x = runEnv().getValue( "x" ).intValue();
		int y = runEnv().getValue( "y" ).intValue();
		frame = new JFrame( name );
		textField = new JTextField( 20 );
		Container contentPane = frame.getContentPane();
		contentPane.add( textField );
		frame.setLocation( x, y );
		frame.validate();
		frame.pack();
		frame.setVisible( true );
		frame.toFront();
		}
	
	public void compute() {
//		System.err.println( "Compute OutputComponent " + this );
		PathArrayValue opd = runEnv().getValue( "opd" ).pathArrayValue();
		long opdValue = opd.getValue();
		int base = runEnv().getValue( "base" ).intValue();
		String textValue = Long.toString( opdValue, base );
		textField.setText( textValue );
		}
	
	public String toString() {
		String name = runEnv().getValue( "name" ).stringValue();
		return name;
		}
	
	}
