package node.declNode.pathDefnNode;

import node.*;

import runEnv.*;

public class PathDefnListNode extends ListNode< PathDefnNode > {
	
	public PathDefnListNode() {
		super( ", " );
		}
	
	public PathDefnListNode( PathDefnNode node ) {
		this();
		addElement( node );
		}

	public void eval( int kind, RunEnv runEnv, PathArrayValue[] value ) {
		if ( value.length != size() )
			throw new Error( "Incorrect number of path parameters" );
		for ( int i = 0; i < size(); i++ ) {
			PathDefnNode element = elementAt( i );
			value[ i ] = element.eval( kind, runEnv, value[ i ] );
			}
		}
	}
