package node.declNode.pathDefnNode;

import runEnv.*;

public class SimplePathDefnNode extends PathDefnNode {

	public SimplePathDefnNode( 
		String ident ) {
		this.ident = ident;
		}

	public String toString() {
		return ident;
		}

	public PathArrayValue eval( 
		int kind, 
		RunEnv runEnv, 
		PathArrayValue value ) {
		if ( value == null )
			value = new PathArrayValue( 1 );
		if ( value.size() != 1 )
			throw new Error( "Incompatible parameter " + value + " for " + this );
		runEnv.declare( kind, ident, value );
		return value;
		}

	}