package node.declNode.valueDefnNode;

import node.*;
import node.exprNode.*;

import runEnv.*;

public class InitValueDefnNode extends ValueDefnNode {

	private ExprNode expr;

	public InitValueDefnNode( 
		String ident,
		ExprNode expr ) {
		this.ident = ident;
		this.expr = expr;
		}

	public String toString() {
		return ident + " = " + expr;
		}

	public void eval( int kind, RunEnv runEnv, RunValue value ) {
		runEnv.declare( kind, ident, expr.eval( runEnv ) );
		}

	}
