package node.exprNode.prefixNode;
import node.*;
import node.exprNode.*;
import runEnv.*;
import runEnv.basicValue.*;

public class NegateNode extends PrefixNode {

	public NegateNode( ExprNode right ) {
		super( right );
		operator = "-";
		}

	public RunValue eval( RunEnv runEnv ) {
		RunValue rightValue = right.eval( runEnv );
		return new IntValue( - rightValue.intValue() );
		}
	}
