package node.pathNode;

import node.*;
import runEnv.*;

public class PathArrayListNode extends ListNode< PathArrayNode > {

	public PathArrayListNode() {
		super( ", " );
		}
	
	public PathArrayListNode( PathArrayNode node ) {
		this();
		addElement( node );
		}
		
	public PathArrayValue[] eval( RunEnv runEnv ) {
		PathArrayValue[] result = new PathArrayValue[ size() ];
		for ( int i = 0; i < size(); i++ ) {
			PathArrayNode element = elementAt( i );
			result[ i ] = element.eval( runEnv );
			}
		return result;
		}
		
	}
