package node.stmtNode.ifStmtNode.elseOptNode;

import node.*;
import node.stmtNode.*;
import node.exprNode.*;
import runEnv.*;

public class ElseOpt1Node extends ElseOptNode {

	private DeclStmtListNode elsePart;

	public ElseOpt1Node( 
		DeclStmtListNode elsePart ) {
		this.elsePart = elsePart;
		}

	public String toString() {
		return "%nelse%+%n" + elsePart + "%-";
		}

	public void eval( RunEnv runEnv ) {
		RunEnv localEnv = new RunEnv( "else", runEnv );
		elsePart.eval( localEnv );
		}

	}
