#! /bin/bash

rm -f Summary.txt

append.bash jflex.error
append.bash parser.cup.error
append.bash javac.error

catFile.bash Source/grammar/Yylex.jflex >> Summary.txt
catFile.bash Source/grammar/parser.cup >> Summary.txt

catFile.bash Source/node/exprNode/valueNode/IntValueNode.java >> Summary.txt

catFile.bash Source/node/declNode/ValueDeclNode.java >> Summary.txt
catFile.bash Source/node/declNode/valueDefnNode/*.java >> Summary.txt

catFile.bash Source/node/declNode/PathDeclNode.java >> Summary.txt
catFile.bash Source/node/declNode/pathDefnNode/*.java >> Summary.txt

catFile.bash Source/node/declNode/componentDeclNode/ComponentDeclNode.java >> Summary.txt

catFile.bash Source/node/stmtNode/invocationStmtNode/*.java >> Summary.txt

catFile.bash Source/node/pathNode/pathNameNode/*.java >> Summary.txt

catFile.bash Source/node/stmtNode/ifStmtNode/*.java >> Summary.txt
catFile.bash Source/node/stmtNode/ifStmtNode/elseOptNode/*.java >> Summary.txt

catFile.bash Source/node/stmtNode/forStmtNode/ForStmtNode.java >> Summary.txt

for DIR in TestPrograms/*
do
	catProgramResult.bash "$DIR"
done

catFile.bash StudentPrograms/*/program.in >> Summary.txt
