#! /bin/bash

rm -rf Classes/*
if [ ! -e Classes ]
then 
    mkdir Classes
fi  

CCUPJAR=`toNative.bash "$LIB330/java_cup_runtime.jar"`
CMAIN=`toNative.bash "Source/circuit/Main.java"`
javac -Xlint:unchecked -d Classes -classpath "$CCUPJAR" -sourcepath "Source" "$CMAIN" &> javac.error
cat javac.error
