package node.declNode;

import node.declNode.valueDefnNode.*;

import runEnv.*;

public class ValueDeclNode extends DeclNode {

	private ValueDefnListNode defnList;

	public ValueDeclNode( 
		ValueDefnListNode defnList ) {
		this.defnList = defnList;
		}

	public String toString() {
		return "define " + defnList + ";";
		}

	public void eval( RunEnv runEnv ) {
		defnList.eval( RunDecl.VALUE, runEnv, 
			new RunValue[ defnList.size() ] );
		}

	}
