package node.declNode.valueDefnNode;

import node.*;

import runEnv.*;

public class ValueDefnListNode extends ListNode< ValueDefnNode > {
	
	public ValueDefnListNode() {
		super( ", " );
		}
	
	public ValueDefnListNode( ValueDefnNode node ) {
		this();
		addElement( node );
		}
	
	public void eval( int kind, RunEnv runEnv, RunValue[] value ) {
		if ( value.length != size() )
			throw new Error( "Incorrect number of parameters" );
		for ( int i = 0; i < size(); i++ ) {
			ValueDefnNode element = elementAt( i );
			element.eval( kind, runEnv, value[ i ] );
			}
		}
	}
