package node.exprNode;

import node.*;

import runEnv.*;

public class ExprListNode extends ListNode< ExprNode > {

	public ExprListNode() {
		super( ", " );
		}
	
	public ExprListNode( ExprNode node ) {
		this();
		addElement( node );
		}
	
	public RunValue[] eval( RunEnv runEnv ) {
		RunValue[] result = new RunValue[ size() ];
		for ( int i = 0; i < size(); i++ ) {
			ExprNode element = elementAt( i );
			result[ i ] = element.eval( runEnv );
			}
		return result;
		}
		
	}
