package node.exprNode;
import node.*;

import runEnv.*;
import runEnv.basicValue.*;

public class NameNode extends ExprNode {

	private String ident;

	public String ident() { return ident; }

	public NameNode( String ident ) {
		precedence = PREC_PRIMARY;
		this.ident = ident;
		}

	public String toString() {
		return "" + ident;
		}

	public RunValue eval( RunEnv runEnv ) {
		return runEnv.getValue( ident );
		}

	}
