package node.exprNode.binaryNode.boolNode;
import node.*;
import node.exprNode.*;
import node.exprNode.binaryNode.*;
import runEnv.*;
import runEnv.basicValue.*;

public class OrNode extends BoolNode {

	public OrNode( ExprNode left, ExprNode right ) {
		super( left, right );
		precedence = PREC_OR;
		operator = "||";
		}

	public RunValue eval( RunEnv runEnv ) {
		RunValue leftValue = left.eval( runEnv );
		RunValue rightValue = right.eval( runEnv );
		return new BoolValue( leftValue.boolValue() || rightValue.boolValue() );
		}

	}
