package node.exprNode.valueNode;
import node.*;
import node.exprNode.*;

import runEnv.*;
import runEnv.basicValue.*;
import text.*;

public class StringValueNode extends ValueNode {

	private String value;
	public String value() { return value; };

	public StringValueNode( String value ) {
		this.value = value;
		}

	public String toString() {
		return "\"" + Convert.toString( value )+ "\"";
		}

	public RunValue eval( RunEnv runEnv ) {
		return new StringValue( value );
		}

	}
