package node.pathNode.pathNameNode;

import node.*;

import runEnv.*;

public class PathNameListNode extends ListNode< PathNameNode > {

	public PathNameListNode() {
		super( " " );
		}
	
	public PathNameListNode( PathNameNode node ) {
		this();
		addElement( node );
		}
		
	public PathArrayValue[] eval( RunEnv runEnv ) {
		PathArrayValue[] result = new PathArrayValue[ size() ];
		for ( int i = 0; i < size(); i++ ) {
			PathNameNode element = elementAt( i );
			result[ i ] = element.eval( runEnv );
			}
		return result;
		}
	}