package runEnv.basicValue;

import runEnv.*;

public class BoolValue extends BasicValue {
	private boolean value;

	public BoolValue( boolean value ) {
		this.value = value;
		}

	public boolean boolValue() {
		return value;
		}

	public String stringValue() {
		return "" + value;
		}
		
	public boolean isBool() {
		return true;
		}

	public boolean equals( Object other ) {
		if ( other == null )
			return false;
		if ( ! ( other instanceof RunValue ) )
			return false;
		RunValue runValue = ( RunValue ) other;
		if ( ! ( runValue instanceof BoolValue ) )
			return false;
		BoolValue otherBoolValue = ( BoolValue ) runValue;
		return value == otherBoolValue.boolValue();
		}

	public String toString() {
		return "" + value;
		}
	}
